---
apiVersion: storage.k8s.io/v1
kind: CSIDriver
metadata:
  annotations:
    csi.ceph.io/ownerref: '{"Namespace":"openshift-storage","Name":"openshift-storage.cephfs.csi.ceph.com"}'
  creationTimestamp: "2025-10-27T12:44:56Z"
  managedFields:
  - apiVersion: storage.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:csi.ceph.io/ownerref: {}
      f:spec:
        f:attachRequired: {}
        f:fsGroupPolicy: {}
        f:podInfoOnMount: {}
        f:requiresRepublish: {}
        f:seLinuxMount: {}
        f:storageCapacity: {}
        f:volumeLifecycleModes:
          .: {}
          v:"Persistent": {}
    manager: manager
    operation: Update
    time: "2025-10-27T12:44:56Z"
  name: openshift-storage.cephfs.csi.ceph.com
  resourceVersion: "59187"
  uid: a2e5c5fc-6172-41bd-bbd7-790efc50ef6a
spec:
  attachRequired: true
  fsGroupPolicy: File
  podInfoOnMount: false
  requiresRepublish: false
  seLinuxMount: true
  storageCapacity: false
  volumeLifecycleModes:
  - Persistent
